function y = gpReversibleDynamicsSamp(model, X);

% GPREVERSIBLEDYNAMICSSAMP Sample from the dynamics for a given input.
%
%	Description:
%	y = gpReversibleDynamicsSamp(model, X);
%

%	Copyright (c) 2007 Neil D. Lawrence
% 	gpReversibleDynamicsSamp.m version 1.3


persistent oldX
if isempty(oldX)
  Xp = [X zeros(size(X))];
else
  Xp = [X X-oldX];
end
oldX = X;
[mu, var] = gpPosteriorMeanVar(model, Xp);
y = gsamp(mu, diag(var), 1);
y = X + y;
